# General Translation Platform: Publier ou dépublier des fichiers
URL: https://generaltranslation.com/fr/docs/platform/openapi/reference/files/publish-files.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: Publier ou dépublier des fichiers traduits sur le CDN. Le CDN doit être activé. Référence de l’API pour Publier ou dépublier des fichiers.

{/* Ce fichier a été généré par Fumadocs. Ne modifiez pas ce fichier directement. Toute modification doit être apportée en relançant la commande de génération. */}

## Endpoint

`POST https://api.gtx.dev/v2/project/files/publish`

**Operation ID:** `publishFiles`

**Tags:** `Files`

**Summary:** Publish or unpublish files

Publish or unpublish translated files to the CDN. Requires CDN to be enabled.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.
- `gt-project-id` (header, string, optional): Target project ID when no project ID is present in the path. Project API keys default to their bound project. If supplied, the header must match both the path target and the key’s bound project.

### Request body (required)

Body (`application/json`, object):
- `files` (object[], required)
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `branchId` (string)
  - `publish` (boolean, required)

### Responses

**200**: File publish results
Response body (`application/json`, object):
- `results` (object[], required)
  - `fileId` (string, required)
  - `versionId` (string, required)
  - `locale` (string)
  - `branchId` (string, required)
  - `success` (boolean, required)
  - `error` (string)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**413**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
